# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from mediaplayer_app.emulators import main_window


class MainWindow(main_window.MainWindow):
    """Class to extend Media player app main window controls."""

    def get_player(self):
        return self.app.select_single("VideoPlayer", objectName="player",
                                      visible=True)

    def get_timeline(self):
        return self.app.select_single("TimeLine", objectName="TimeLine.Slider")

    def is_playing(self):
        remaining_time = self.get_timeline().remainingTime
        return remaining_time and remaining_time != '00:00:00'

    def is_play_finished(self):
        remaining_time = self.get_timeline().remainingTime
        return remaining_time and remaining_time == '00:00:00'
