# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import subprocess


def get_rgba_screenshot(target_file):
    """
    Take a screenshot in rgba format
    :return: Path of screenshot rgba file
    """
    try:
        subprocess.check_call([
            'mirscreencast',
            '-m', '/run/mir_socket',
            '-n', '1',
            '-f', target_file
        ])
    except FileNotFoundError as e:
        e.args += ("The utility 'mirscreencast' is not available.", )
        raise
    except subprocess.CalledProcessError as e:
        e.args += ("Failed to take screenshot.", )
        raise
