# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from ubuntu_system_tests.helpers import file_system as fs
from ubuntu_system_tests.helpers import processes


QML = 'music-app.qml'


def is_music_app_running():
    return processes.is_qmlscene_running_with_qmlfile(QML)


def stop_music_app():
    processes.stop_qmlscene_process(QML)


def get_current_song():
    """ Retrieve the current song based on the url parameter """
    pid = processes.get_qmlscene_process_id(QML)
    line = processes.get_process_args(pid)
    args = line.split()
    for arg in args:
        if arg.startswith('--url='):
            return arg.split(fs.MUSIC_PREFIX)[1]
    return None
