# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import autopilot
import logging

import ubuntuuitoolkit as uitk

logger = logging.getLogger(__name__)


class SnapDecisionMenu(uitk.UbuntuUIToolkitCustomProxyObjectBase):

    def get_message_button(self):
        return self.select_single(
            'Button', objectName='messageButton', text='Message', visible=True)

    def get_call_back_button(self):
        return self.select_single(
            'Button', objectName='actionButton', text='Call back',
            visible=True)

    @autopilot.logging.log_action(logger.info)
    def message(self):
        self.pointing_device.click_object(self.get_message_button())

    @autopilot.logging.log_action(logger.info)
    def call_back(self):
        self.pointing_device.click_object(self.get_call_back_button())
