# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import ubuntuone_credentials
from ubuntu_keyboard.emulators import keyboard


class NewAccount(ubuntuone_credentials.NewAccount):

    def _enter_password_new_user(self, password):
        self._dismiss_keyboard()
        super()._enter_password_new_user(password)

    def _enter_password_confirmation(self, password_confirmation):
        self._dismiss_keyboard()
        super()._enter_password_confirmation(password_confirmation)

    def _agree_to_terms(self, agree):
        self._dismiss_keyboard()
        super()._agree_to_terms(agree)

    def _dismiss_keyboard(self):
        # XXX instead of dismissing the keyboard, the toolkit should take it
        # into account when swiping things into view. -- elopio - 2015-02-24
        keyboard.Keyboard().dismiss()
