# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2014, 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from unity8 import process_helpers

from autopilot.matchers import Eventually
from testtools.matchers import Equals
from ubuntu_system_tests.helpers.unity8 import greeter


def ensure_unity_stopped():
    if _is_unity8_running():
        process_helpers.stop_job('unity8')
    Eventually(Equals(False), timeout=300).match(_is_unity8_running)


def ensure_unity_running_and_greeter_hidden():
    if not _is_unity8_running():
        process_helpers.start_job('unity8')
        greeter.wait_for_greeter()

    greeter.hide_greeter_with_dbus()


def _is_unity8_running():
    return process_helpers.is_job_running('unity8')
