# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

import subprocess


def get_audio_channels_from_exif_data(video_path):
    """ Retrieve the number of audio channels from the exif data of specified
    video file.
    """
    result = subprocess.check_output(
        ['exiftool', video_path, '-AudioChannels', '-n', '-s', '-s', '-s'])
    result = result.strip()
    if len(result) > 0:
        channels = int(result)
    else:
        channels = 0
    return channels
