# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests import (
    config,
    systemtests,
    selftests
)


class AutopilotCommandsTestCase(selftests.ConfigBaseTestCase):

    def test_verbose_flag_present_by_default(self):
        self.config_stack = config.UbuntuSystemTestsStack()
        self.set_config_values()

        command_list = systemtests._build_autopilot_command_list(
            self.config_stack)
        command = ' '.join(command_list)
        _, run_arguments = command.split('autopilot.run run')

        self.assertIn('-v', run_arguments)

    def test_timeout_flag_present_by_default(self):
        self.config_stack = config.UbuntuSystemTestsStack()
        self.set_config_values()

        command_list = systemtests._build_autopilot_command_list(
            self.config_stack)
        command = ' '.join(command_list)
        _, run_arguments = command.split('autopilot.run run')
        run_arguments_list = run_arguments.split(' ')

        default_timeout = run_arguments_list[run_arguments_list.index(
            '--test-timeout') + 1]
        self.assertIn('--test-timeout', run_arguments_list)
        self.assertEqual(systemtests.DEFAULT_TEST_TIMEOUT, default_timeout)
