# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers import webbrowser as webbrowser_helpers
from ubuntu_system_tests.tests import base


class WebBrowserBase(base.BaseUbuntuSystemTestCase):

    def setUp(self):
        super().setUp()
        self.unity_proxy = self.restart_unity()
        self.browser = self._set_up_environment_and_launch_web_browser()

    def _set_up_environment_and_launch_web_browser(self):
        """Clean and previous browser cache and start it."""
        webbrowser_helpers.clear_browser_data()
        return self.launch_webbrowser_app()

    def _get_current_url(self):
        """Return currently opened url."""
        return self.browser.get_current_webview().url
