# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers import indicators

from ubuntu_system_tests.tests import base


class BaseIndicatorTestCase(base.BaseUbuntuSystemTestCase):

    def setUp(self, indicator, indicator_page):
        super().setUp()
        self.unity = self.restart_unity()
        self.indicator = indicators.Indicator(self.unity.main_window,
                                              indicator,
                                              indicator_page)
        self.indicator_page = self.indicator.open()
        self.addCleanup(self.indicator.ensure_closed)
