# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from ubuntu_system_tests.helpers import system_settings

from ubuntu_system_tests.tests.indicators import BaseIndicatorTestCase


SOUND_INDICATOR = 'indicator-sound'
SOUND_INDICATOR_PAGE = 'indicator-sound-page'
SOUND_SETTINGS_PAGE = 'soundPage'


class SoundIndicatorTestCase(BaseIndicatorTestCase):

    def setUp(self):
        super().setUp(indicator=SOUND_INDICATOR,
                      indicator_page=SOUND_INDICATOR_PAGE)

    def test_sound_settings_item_open_correct_page(self):
        """
        1. Drag down the sound indicator
        2. Tap on 'Sound settings...'
        3. Ensure sound settings open
        """
        self.indicator_page.open_sound_settings()
        settings_app = self.get_system_settings_proxy()
        system_settings.ensure_settings_page_visible(settings_app,
                                                     SOUND_SETTINGS_PAGE)
