# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

#
# Ubuntu System Tests
# Copyright (C) 2015 Canonical
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from autopilot.matchers import Eventually
from testtools.matchers import Equals

from unity8.shell import fixture_setup

# unused import to load the tutorial custom proxy objects.
from unity8.shell.emulators import tutorial  # NOQA

from ubuntu_system_tests.tests import base


class TutorialTestCase(base.BaseUbuntuSystemTestCase):

    def setUp(self):
        super().setUp()
        self.useFixture(fixture_setup.Tutorial(True))

    def test_complete_tutorial(self):
        unity = self.launch_unity()

        greeter = unity.main_window.get_greeter()
        greeter.swipe()

        tutorial_page = unity.select_single('Tutorial')
        self.assertThat(tutorial_page.running, Eventually(Equals(True)))

        page = unity.wait_select_single(objectName='tutorialLeft')
        page.short_swipe_right()
        page = unity.wait_select_single(objectName='tutorialLeftFinish')
        page.tap()
        page = unity.wait_select_single(objectName='tutorialRight')
        page.swipe_left()
        page.tap()
        page = unity.wait_select_single(objectName='tutorialBottom')
        page.swipe_up()
        page = unity.wait_select_single(objectName='tutorialBottomFinish')
        page.tap()

        self.assertThat(tutorial_page.running, Eventually(Equals(False)))
